<?php
namespace App\Controllers;
//use App\Controllers\BaseController;

//class Provider extends Provider_Controller {
class Provider extends SecureBaseController
{
//var $patient_model;
    protected \App\Models\Product_model $product_model;
    public function StartProviders() {
        $this->product_model = new   \App\Models\Product_model();
        $data = array();

        $data['actions_history'] = [
                [
                    "icon"=> "primary",
                    "text"=> "Meeting with Amanda and team",
                    "date"=> "10:30 Jan",
                ],
//                [
//                    "icon"=> "info",
//                    "text"=> "Meeting with Amanda and team",
//                    "date"=> "10:30 Jan",
//                ],
//                [
//                    "icon"=> "danger",
//                    "text"=> "Assign task for Smith",
//                    "date"=> "Wed, 10 Mar",
//                ],
//                [
//                    "icon"=> "success",
//                    "text"=> "Meeting with Amanda and team",
//                    "date"=> "10:30 Jan",
//                ],
//                [
//                    "icon"=> "warning",
//                    "text"=> "Meeting with Amanda and team",
//                    "date"=> "10:30 Jan",
//                ],
//                [
//                    "icon"=> "info",
//                    "text"=> "Meeting with Amanda and team",
//                    "date"=> "10:30 Jan",
//                ],
//                [
//                    "icon"=> "success",
//                    "text"=> "Meeting with client and CEO.",
//                    "date"=> "10:30 Jan",
//                ],
        ];


        $data['product_array'] = $this->product_model->getProducts(''); // $product_array;
      //  var_dump($data['product_array']);
      //  exit;
       return  $this->renderProviderSecurePage('dash', $data);
    }

    public function ProviderProduct($productID){
        $this->product_model = new   \App\Models\Product_model();
        $data['product'] = $this->product_model->getProducts($productID); // $product_array;
        //var_dump($data);
        //exit;
        /*
         array (size=1)
  'product' =>
    array (size=1)
      0 =>
        array (size=9)
          'id' => string '1' (length=1)
          'uid' => string 'e92282b4-3ee1-4026-92ac-12cfd214b43a' (length=36)
          'product_id' => string 'A000001' (length=7)
          'name' => string 'Personal Website' (length=16)
          'description' => string 'Your personal professional web presence' (length=39)
          'status' => string '1' (length=1)
          'added' => string '2024-10-26 14:53:16.650035' (length=26)
          'updated' => string '2024-10-26 14:53:16.650035' (length=26)
          'banner' => string 'banner.jpg' (length=10)
         */
        return  $this->providerSecurePage('product', $data);
    }

    public function StartProcess($productId){
       // echo $productId;
       // exit;
        return redirect()->to("product/$productId");
    }

    public function alerts() {
        $data = array();
        $out = array();
        $this->load->model('patient_model');
        $out = $this->patient_model->getPatientList();
        $data["patient_list"] = $out["patient_list"];
        $this->renderProviderSecurePage('dash', $data);
    }

    public function todo() {
        $data = array();
        $out = array();
        $this->load->model('patient_model');
        $out = $this->patient_model->getPatientList();
        $data["patient_list"] = $out["patient_list"];
        $this->renderProviderSecurePage('dash', $data);
    }

    public function tasks() {
        $data = array();
        $out = array();
        $this->load->model('patient_model');
        $out = $this->patient_model->getPatientList();
        $data["patient_list"] = $out["patient_list"];
        $this->renderProviderSecurePage('dash', $data);
    }

    public function calendar() {
        $data = array();
        $out = array();
        $this->load->model('patient_model');
        $out = $this->patient_model->getPatientList();
        $data["patient_list"] = $out["patient_list"];
        $this->renderProviderSecurePage('calendar', $data);
    }

    public function encounters() {
        $data = array();
        $out = array();
        $this->load->model('patient_model');
        $out = $this->patient_model->getPatientList();
        $data["patient_list"] = $out["patient_list"];

        $this->load->model('encounter_model');
        $out = $this->encounter_model->getEncounterList();
        $data["encounter_list"] = $out["encounter_list"];

        $this->renderProviderSecurePage('dash', $data);
    }


}
